<?php

// add a new game to database

// define variables and set to empty values
$player_id = $won = $guessed_word = "";

// check if there was a POST request
if ($_SERVER["REQUEST_METHOD"] == "POST") {
	// validate the form data
	$player_id = mysqli_real_escape_string($link, clean_input($_POST["player_id"]));
	$won =  mysqli_real_escape_string($link, clean_input($_POST["won"]));
	$guessed_word =  mysqli_real_escape_string($link, clean_input($_POST["guessed_word"]));

	// define a string to tell us if they won/lost
	if ($won == 1) {
		$outcome = "win";
	} else {
		$outcome = "loss";
	}

	// define the insertion query
	$sql = sprintf("INSERT INTO Game (player_id, won, guessed_word)
		VALUES (%d, %d, '%s')", $player_id, $won, $guessed_word);

	// run the query to insert the data
	$result = mysqli_query($link, $sql);

	// check if the query went ok
	if ($result === false) {
		mysqli_rollback($link); // if query returns false, rollback transaction
		// output error message
		echo mysqli_error($link);
				
	} else {
		mysqli_commit($link); // else, commit transaction
		$content .= "Your $outcome has been recorded!";
	}

    }

    // ------- END form processing code... -------

?>
